CompTIA Network+ (V9)
Interface counters: CRC, runts, giants and drops on Network+
Read the counters as a pattern. CRC and runt errors with no collisions on a full-duplex link point to a duplex mismatch. Giants with clean CRC point to an MTU mismatch, such as jumbo frames on one side. Drops or discards with no errors point to congestion: the port ran out of buffer, not a cable fault.
What each counter means
The RMON MIB (RFC 2819) uses 64 octets, including the FCS, as the Ethernet minimum and 1518 as the maximum. Undersize packets are well-formed frames below 64 octets. Oversize packets are well-formed frames above 1518. Fragments are short frames with a bad FCS, and jabbers are long frames with a bad FCS.
Vendors use the names runts and giants for short and long frames, and their exact definitions vary. Cisco's switch port guide, for example, counts runts and giants as wrong-sized frames that also have a bad CRC. Check your platform's definition.
RFC 3635 counts frames that exceed the maximum permitted frame size in dot3StatsFrameTooLongs. RFC 2863 defines ifOutDiscards as outbound packets discarded even though no errors were detected, for example to free buffer space.
Patterns and causes
Duplex mismatch: Cisco's guide says collisions must not be seen on full-duplex interfaces, and if FCS, CRC, alignment or runt counters increment, check for a duplex mismatch. Late collisions appear on the half-duplex side.
Normal half duplex: RFC 2819 says it is entirely normal for the fragments counter to increment, because it counts runts caused by collisions and noise hits. On a hub segment, rising fragments with no user complaints is expected. Cisco's deferred counter, frames sent after waiting because the medium was busy, also belongs to half duplex and shows contention.
MTU mismatch: frames too long but otherwise intact mean the sender uses a larger MTU than the port accepts, for example a server set for jumbo frames.
Congestion: output drops with zero CRC, runt and giant counts mean the output queue was full. Cisco notes this often happens when a faster link feeds a slower one.
Averages hide bursts
Cisco's guide says the 5 minute input and output rates are averages over the last five minutes, and suggests a shorter load-interval to read bursts more accurately.
Example: a port's output drops climb all day, but its 5 minute output rate is well below line rate. Short bursts fill the queue and vanish in the average.
Where the exam catches people
- Believing a passing cable test rules out a duplex problem: CRC and runts with zero collisions on a full-duplex link point to a duplex mismatch.
- Believing output drops mean a bad cable: drops without CRC or runt errors are buffer exhaustion, which is congestion.
- Believing giants always mean corruption: well-formed oversize frames usually mean an MTU mismatch, such as jumbo frames on one side.
- Believing a low 5 minute rate rules out congestion: it is an average, and short bursts can still overflow the queue.